﻿using System.ComponentModel.DataAnnotations;
using System.Data.Entity;

namespace unobtrusive_validation.Models
{
    public class Partner
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.None)]
        public int Sifra { get; set; }
        [Required]
        public string Naziv { get; set; }
        public string Mesto { get; set; }
        public string Pib { get; set; }
        public string Adresa { get; set; }
        public int? Region1 { get; set; }
        public int? Region2 { get; set; }
        public int? Region3 { get; set; }
        public decimal? HRabat { get; set; }
    }

    public class SalesDBContext : DbContext
    {
        public DbSet Partner { get; set; }

        public DbSet<Partner> Partners { get; set; }
    }
}